Version bump to 5.9.4dr2
[strongswan.git] / src / libstrongswan / plugins / gcrypt / Makefile.am
1 AM_CPPFLAGS = \
2         -I$(top_srcdir)/src/libstrongswan
3
4 AM_CFLAGS = \
5         $(PLUGIN_CFLAGS)
6
7 if MONOLITHIC
8 noinst_LTLIBRARIES = libstrongswan-gcrypt.la
9 else
10 plugin_LTLIBRARIES = libstrongswan-gcrypt.la
11 endif
12
13 libstrongswan_gcrypt_la_SOURCES = \
14         gcrypt_plugin.h gcrypt_plugin.c \
15         gcrypt_rsa_public_key.h gcrypt_rsa_public_key.c \
16         gcrypt_rsa_private_key.h gcrypt_rsa_private_key.c \
17         gcrypt_dh.h gcrypt_dh.c \
18         gcrypt_rng.h gcrypt_rng.c \
19         gcrypt_crypter.h gcrypt_crypter.c \
20         gcrypt_hasher.h gcrypt_hasher.c
21
22 libstrongswan_gcrypt_la_LDFLAGS = -module -avoid-version
23 libstrongswan_gcrypt_la_LIBADD  = -lgcrypt -lgpg-error